Subject: Re: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 24 Jul 2007 12:50:53 -0700 (PDT)

Hi all,
  A little bit of history about this draft:
- we published draft-xia-netlmm-mnagno-00 a while ago. Kuntal contacted me and said he was interested, he had an earlier draft, did he say he wanted to co-author?
-I discussed in Prag with Hide and Kuntal and we talked about writing the new version together.
-I even emailed xml file of draft-xia-netlmm-mnagno-00 to Hide.
-Frank and I worked on -01 version and at the end I contacted Kuntal and asked him if he wishes to comment and co-author.
-Kuntal declined.
-We went ahead and published draft-xia-netlmm-mnagno-01.
-To our surprise we saw draft-yokota-mipshop-pfmipv6-00.txt?

  Now a technical comment:
in reactive mode, draft-yokota-mipshop-pfmipv6-00.txt proposes to use Hi/Hack signaling. Firstly this is deviation from maximum reuse of FMIP. Secondly, if it were possible to use the same signaling in both modes, why did the base document 4068bis not come up with such a unified signaling?

Regards,

Behcet

----- Original Message ----
From: Frank Xia <[email-masked]>
To: [email-masked]
Sent: Monday, July 9, 2007 11:18:27 AM
Subject: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

Hi Hidetoshi 

IMHO, I think the main idea of this draft is the same 
as

http://tools.ietf.org/wg/netlmm/draft-xia-netlmm-fmip-mnagno-01.txt

"Great minds think alike"

BR

Frank
_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Hidetoshi Yokota <[email-masked]>
Date: Wed, 25 Jul 2007 23:51:32 +0900

Hi Bahcet,

Allow me to answer your technical question.

>   Now a technical comment:
> in reactive mode, draft-yokota-mipshop-pfmipv6-00.txt proposes to use 
> Hi/Hack signaling. Firstly this is deviation from maximum reuse of FMIP. 
> Secondly, if it were possible to use the same signaling in both modes, 
> why did the base document 4068bis not come up with such a unified signaling?

According to RFC4068, the reactive mode is described as follows:
"The scenario in which the MN sends an FBU from NAR's link is
illustrated in Figure 3.  For convenience, this scenario is
characterized as a "reactive" mode of operation."

Suppose the MN acquires the NCoA in the PAR's link. Then, the MN moves
to the NAR's link and sends the FBU that is encapsulated in the FNA (the
reactive mode). This FBU is forwarded to the PAR via the NAR. Prior to
establishing the binding between PCoA and NCoA, the PAR should send the
HI message to the NAR and receive the HAck message in response.

This operation is described in the last paragraph on p.12 of RFC4068 and
the HI/HAck message exchange could be performed in the reactive mode.
Note that the Code value in the HI is set to 1 in this case according to
Section 6.2.1.

Thus, I don't think HI/HAck message exchange in the reactive mode is a
deviation of the maximum reuse of RFC4068.

Any further questions and comments are welcome.

Regards,
-- 
Hidetoshi

> IMHO, I think the main idea of this draft is the same as

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 25 Jul 2007 15:37:05 -0400

Hi Behcet,

Please see inline...

________________________________

From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Tuesday, July 24, 2007 2:51 PM
To: [email-masked]
Cc: [email-masked]; Chowdhury, Kuntal; Rajeev Koodli
Subject: Re: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt

Hi all,
  A little bit of history about this draft:
- we published draft-xia-netlmm-mnagno-00 a while ago. Kuntal contacted
me and said he was interested, he had an earlier draft, did he say he
wanted to co-author?

[KC>] There was a complete section with call flows in my initial
proposal for network based mobility proposal, ref:
http://tools.ietf.org/html/draft-chowdhury-netmip6-01. There was a
decision in netlmm WG to take the handover details out of the base spec.
Therefore, these details were left out of the base I-D. However, I
planned to pursue those anyway. So, when you submitted your I-D which
contained same or similar details, I was also surprised! I contacted you
to express my intent that favored standardization of handover details
related to PMIP6. If that gave you the impression that I wanted to
co-author future work with you, my apologies for that. 

-I discussed in Prag with Hide and Kuntal and we talked about writing
the new version together.

[KC>] Yes you did. But, there was no _agreement_ to submit anything
jointly, AFAIK.

-I even emailed xml file of draft-xia-netlmm-mnagno-00 to Hide.
-Frank and I worked on -01 version and at the end I contacted Kuntal and
asked him if he wishes to comment and co-author.
-Kuntal declined.
-We went ahead and published draft-xia-netlmm-mnagno-01.
-To our surprise we saw draft-yokota-mipshop-pfmipv6-00.txt?

[KC>] I was surprised too when I saw your draft on handover for PMIP6
when the similar details were already part of my initial I-D. Anyway, I
preferred to work on the yokota I-D because I was already working on the
same topic with Yokota-san, Rajeev, and Raj in various SDOs. 

  Now a technical comment:
in reactive mode, draft-yokota-mipshop-pfmipv6-00.txt proposes to use
Hi/Hack signaling. Firstly this is deviation from maximum reuse of FMIP.
Secondly, if it were possible to use the same signaling in both modes,
why did the base document 4068bis not come up with such a unified
signaling?

Regards,

Behcet

----- Original Message ----
From: Frank Xia <[email-masked]>
To: [email-masked]
Sent: Monday, July 9, 2007 11:18:27 AM
Subject: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

Hi Hidetoshi 

BR

Frank

---

From: Frank Xia <[email-masked]>
Date: Wed, 25 Jul 2007 15:12:59 -0500

Hi Kuntal

If you see the published time of the two draft, you will not be so surprised.

draft-xia-netlmm-mnagno-01  07-06-2007
draft-yokota-mipshop-pfmipv6-00.txt   07-05-2007

BR
Frank

  ----- Original Message ----- 
  From: Chowdhury, Kuntal 
  To: Behcet Sarikaya ; [email-masked] 
  Cc: [email-masked] ; Rajeev Koodli 
  Sent: Wednesday, July 25, 2007 2:37 PM
  Subject: RE: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

  Hi Behcet,

  Please see inline.

------------------------------------------------------------------------------

  From: Behcet Sarikaya [mailto:[email-masked]] 
  Sent: Tuesday, July 24, 2007 2:51 PM
  To: [email-masked]
  Cc: [email-masked]; Chowdhury, Kuntal; Rajeev Koodli
  Subject: Re: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

  Hi all,

  [KC>] There was a complete section with call flows in my initial proposal for network based mobility proposal, ref: http://tools.ietf.org/html/draft-chowdhury-netmip6-01. There was a decision in netlmm WG to take the handover details out of the base spec. Therefore, these details were left out of the base I-D. However, I planned to pursue those anyway. So, when you submitted your I-D which contained same or similar details, I was also surprised! I contacted you to express my intent that favored standardization of handover details related to PMIP6. If that gave you the impression that I wanted to co-author future work with you, my apologies for that. 

  [KC>] Yes you did. But, there was no _agreement_ to submit anything jointly, AFAIK.

  [KC>] I was surprised too when I saw your draft on handover for PMIP6 when the similar details were already part of my initial I-D. Anyway, I preferred to work on the yokota I-D because I was already working on the same topic with Yokota-san, Rajeev, and Raj in various SDOs. 

    Now a technical comment:

  Regards,

  Behcet

  ----- Original Message ----
  From: Frank Xia <[email-masked]>
  To: [email-masked]
  Sent: Monday, July 9, 2007 11:18:27 AM
  Subject: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

  Hi Hidetoshi 

  BR

  Frank

------------------------------------------------------------------------------

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 25 Jul 2007 16:19:08 -0400

Frank,

I think you misunderstood my comment. I was surprised to see your draft talking about handover when my initial pmip6 (aka netmip6 I-D) already talked about handover in the first place...way before you submitted your I-D (February 26, 2006).

BR,
Kuntal

________________________________________
From: Frank Xia [mailto:[email-masked]] 
Sent: Wednesday, July 25, 2007 3:13 PM
To: Chowdhury, Kuntal; Behcet Sarikaya; [email-masked]
Cc: [email-masked]; Rajeev Koodli
Subject: Re: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

Hi Kuntal

 
BR
Frank
 
----- Original Message ----- 
From: Chowdhury, Kuntal 
To: Behcet Sarikaya ; [email-masked] 
Cc: [email-masked] ; Rajeev Koodli 
Sent: Wednesday, July 25, 2007 2:37 PM
Subject: RE: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

Hi Behcet,

Please see inline...

________________________________________

Hi all,

  Now a technical comment:

Regards,

Behcet
----- Original Message ----
From: Frank Xia <[email-masked]>
To: [email-masked]
Sent: Monday, July 9, 2007 11:18:27 AM
Subject: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt
Hi Hidetoshi 

 
BR
Frank

________________________________________
_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop